Skip to main content
PUT
Update Webhook

Authorizations

ds-api-token
string
header
required

Path Parameters

webhook_id
string<uuid>
required

Webhook ID

Example:

"01827ed4-c928-7a3c-9a30-7ab7cc169d11"

Body

application/json

Common Webhook Request

is_sandbox
boolean
default:false

For what environment new Webhook should be created

webhook_url
string<url>

Your server endpoint where Dataspike service will send AML and Document Verification events

Example:

"https://dataspike.io"

event_types
enum<string>[]
Available options:
AML_SCREENING,
DOCVER,
TRANSACTION_MONITORING,
KYT_WALLET_CHECK,
KYB_CASE_CREATED,
KYB_CASE_SUBMITTED,
KYB_CASE_CHECKS_COMPLETED,
KYB_CASE_DECISION_ISSUED,
KYB_REMEDIATION_REQUESTED,
KYB_REMEDIATION_RECEIVED,
KYB_REMEDIATION_CANCELED
Example:
enabled
boolean
default:true

Set to false if you want temporarily deactivate webhook

Response

200

Webhook Updated